> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omni.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List connections

> Retrieves a list of database connections with optional filtering and sorting



## OpenAPI

````yaml /api/openapi.yaml get /v1/connections
openapi: 3.1.0
info:
  title: Omni API
  description: >
    The Omni REST API provides programmatic access to your Omni instance for
    managing users, documents, queries, schedules, and more.  
  version: 1.0.0
  contact:
    name: Omni Support
    url: https://docs.omni.co
servers:
  - url: https://{instance}.omniapp.co/api
    description: Production
    variables:
      instance:
        default: blobsrus
        description: Your production Omni instance subdomain
  - url: https://{instance}.playground.exploreomni.dev/api
    description: Playground
    variables:
      instance:
        default: blobsrus
        description: Your playground Omni instance subdomain
security:
  - bearerAuth: []
  - orgApiKey: []
tags:
  - name: AI
    description: AI-powered query generation
  - name: API Tokens
    description: >-
      Manage API tokens (Organization keys, Personal Access Tokens, MCP OAuth
      grants)
  - name: Connections
    description: Manage database connections
  - name: Connection environments
    description: Manage connection environments database connections
  - name: Content
    description: Unified content retrieval (documents and folders)
  - name: Content migration
    description: Export and import dashboards
  - name: Content validator
    description: Validate content against models and perform find/replace operations
  - name: Dashboard downloads
    description: Download dashboards and tiles as PDF, PNG, XLSX, CSV, or JSON files
  - name: Dashboard filters and controls
    description: Read and update dashboard filter and control default values
  - name: dbt
    description: Manage dbt configuration for connections
  - name: Documents
    description: Create, retrieve, and manage documents
  - name: Document favorites
    description: Favorite and unfavorite documents
  - name: Document labels
    description: Apply and manage labels on documents
  - name: Document permissions
    description: Manage document-level access
  - name: Labels
    description: >
      Manage labels in an organization. Labels can be applied to documents and
      folders to help organize and categorize content.


      **Label types:**

      - **Basic labels**: Can be created and managed by any user

      - **Verified labels**: Indicate curated or officially sanctioned content.
      Admin-only.

      - **Homepage labels**: Appear on the organization homepage. Admin-only.
  - name: Folders
    description: Create and organize content folders
  - name: Folder permissions
    description: Manage folder-level access
  - name: Jobs
    description: Check status of asynchronous jobs
  - name: Models
    description: Create and manage data models
  - name: Model branches
    description: Manage model branches and merge changes
  - name: Model git configuration
    description: Manage git configuration for shared models
  - name: Queries
    description: Execute workbook queries
  - name: Schedules
    description: Create and manage scheduled tasks
  - name: Schedule recipients
    description: Manage schedule recipients
  - name: Schema refresh schedules
    description: Manage automated schema refresh schedules for connections
  - name: Topics
    description: Retrieve topic information from models
  - name: Uploads
    description: Manage file uploads
  - name: Users
    description: Manage users
  - name: User attributes
    description: Manage user attribute definitions
  - name: User groups
    description: Manage user groups
  - name: User model roles
    description: Manage model and connection role assignments for users
  - name: User group model roles
    description: Manage model and connection role assignments for user groups
  - name: Uploads
    description: Manage CSV and spreadsheet uploads
paths:
  /v1/connections:
    get:
      tags:
        - Connections
      summary: List connections
      description: >-
        Retrieves a list of database connections with optional filtering and
        sorting
      operationId: listConnections
      parameters:
        - name: name
          in: query
          schema:
            type: string
          description: Filter connections by name (case-insensitive, partial matching)
        - name: database
          in: query
          schema:
            type: string
          description: >-
            Filter connections by database name (case-insensitive, partial
            matching)
        - name: dialect
          in: query
          schema:
            $ref: '#/components/schemas/Dialect'
          description: >-
            Filter connections by dialect(s). For multiple dialects, provide a
            comma-separated list (e.g., `postgres,mysql`).
        - name: sortField
          in: query
          schema:
            type: string
            enum:
              - database
              - dialect
              - name
          description: Field to sort by
        - $ref: '#/components/parameters/sortDirection'
        - name: includeDeleted
          in: query
          schema:
            type: boolean
          description: >-
            When `true`, the response includes deleted connections. Defaults to
            `false`.
      responses:
        '200':
          description: Returns a list of connections objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  connections:
                    type: array
                    items:
                      $ref: '#/components/schemas/Connection'
        '400':
          description: >
            Bad Request


            Possible error messages:

            - `formErrors: Unrecognized key(s) in object: '<invalidParam>'`

            - `sortField: Invalid enum value. Expected 'database' | 'dialect' |
            'name', received '<invalidField>'`

            - `Invalid dialect(s): <invalidDialect>`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearerAuth: []
components:
  schemas:
    Dialect:
      type: string
      description: |
        The database dialect.
      enum:
        - athena
        - bigquery
        - clickhouse
        - databricks
        - databricks_lakebase
        - exasol
        - mariadb
        - motherduck
        - mssql
        - mysql
        - oracle
        - postgres
        - redshift
        - sap_hana
        - snowflake
        - starrocks
        - trino
    Connection:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: c0f12353-4817-4398-bcc0-d501e6dd2f64
          description: The connection's unique ID
        name:
          type: string
          example: Production Database
          description: A descriptive name for the connection
        dialect:
          type: string
          example: postgres
          description: The type of database
        database:
          type: string
          example: prod_db
          description: The default database/catalog to connect to.
        baseRole:
          type: string
          example: NO_ACCESS
          description: The default role for users accessing the connection.
        deletedAt:
          type: string
          format: date-time
          example: null
          description: The time the database was deleted.
        userAttributeNameForConnectionEnvironments:
          type: string
          example: environment
        userAttributeValuesForDefaultEnvironment:
          type: string
        branchConnectionEnvironmentOverridesUserAttr:
          type: boolean
          example: 'false'
        environmentConnectionSwitchesSchemaModel:
          type: boolean
          example: 'false'
        defaultSchema:
          type: string
          example: public
          description: The default schema to use.
    Error:
      type: object
      properties:
        error:
          type: string
          description: HTTP response code for the error
          example: <response_code>
        message:
          type: string
          description: Detailed error description
          example: <error_reason>
  parameters:
    sortDirection:
      name: sortDirection
      in: query
      schema:
        type: string
        enum:
          - asc
          - desc
      description: |
        Direction for sorting:

        - `asc` - Ascending order (A-Z, 0-9)
        - `desc` - Descending order (Z-A, 9-0)
  responses:
    TooManyRequests:
      description: Too Many Requests - Rate limit exceeded (60 requests/minute)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Can be either an [Organization API
        Key](/api/authentication#organization-api-keys) or [Personal Access
        Token (PAT)](/api/authentication#personal-access-tokens-pat).


        Include in the `Authorization` header as: `Bearer YOUR_TOKEN`
    orgApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Requires an [Organization API
        Key](/api/authentication#organization-api-keys). Personal Access Tokens
        (PATs) are not supported for this endpoint.


        Include in the `Authorization` header as: `Bearer ORGANIZATION_API_KEY`

````